OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ATI.PNTriangles

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetATIPNTriangles :: MonadIO m => m Bool
- gl_ATI_pn_triangles :: Bool
- gl_MAX_PN_TRIANGLES_TESSELATION_LEVEL_ATI :: GLenum
- gl_PN_TRIANGLES_ATI :: GLenum
- gl_PN_TRIANGLES_NORMAL_MODE_ATI :: GLenum
- gl_PN_TRIANGLES_NORMAL_MODE_LINEAR_ATI :: GLenum
- gl_PN_TRIANGLES_NORMAL_MODE_QUADRATIC_ATI :: GLenum
- gl_PN_TRIANGLES_POINT_MODE_ATI :: GLenum
- gl_PN_TRIANGLES_POINT_MODE_CUBIC_ATI :: GLenum
- gl_PN_TRIANGLES_POINT_MODE_LINEAR_ATI :: GLenum
- gl_PN_TRIANGLES_TESSELATION_LEVEL_ATI :: GLenum
- glPNTrianglesfATI :: MonadIO m => GLenum -> GLfloat -> m ()
- glPNTrianglesiATI :: MonadIO m => GLenum -> GLint -> m ()

# Extension Support

glGetATIPNTriangles :: MonadIO m => m Bool

Is the ATI_pn_triangles extension supported?

gl_ATI_pn_triangles :: Bool

Is the ATI_pn_triangles extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetATIPNTriangles` in those cases instead.

# Enums

gl_MAX_PN_TRIANGLES_TESSELATION_LEVEL_ATI :: GLenum

gl_PN_TRIANGLES_ATI :: GLenum

gl_PN_TRIANGLES_NORMAL_MODE_ATI :: GLenum

gl_PN_TRIANGLES_NORMAL_MODE_LINEAR_ATI :: GLenum

gl_PN_TRIANGLES_NORMAL_MODE_QUADRATIC_ATI :: GLenum

gl_PN_TRIANGLES_POINT_MODE_ATI :: GLenum

gl_PN_TRIANGLES_POINT_MODE_CUBIC_ATI :: GLenum

gl_PN_TRIANGLES_POINT_MODE_LINEAR_ATI :: GLenum

gl_PN_TRIANGLES_TESSELATION_LEVEL_ATI :: GLenum

# Functions

glPNTrianglesfATI

Arguments

:: MonadIO m |
=> GLenum | `pname` of type `PNTrianglesPNameATI`.
-> GLfloat | `param`.
-> m () |

glPNTrianglesiATI

Arguments

:: MonadIO m |
=> GLenum | `pname` of type `PNTrianglesPNameATI`.
-> GLint | `param`.
-> m () |